/*
 Theme Name:   KGA Cranes
 Theme URI:    https://kgacranes.co.uk
 Description:  WordPress theme created for KGA Cranes
 Author:       Dom Wint
 Author URI:   https://cleanpagedesign.co.uk
 Template:     generatepress
 Version:      0.1
*/

/* Styles go here
----------------------------------------------------- */

a.smooth-scroll {
    padding-top: 100px;
}

.main-navigation.is_stuck,
.main-navigation.is_stuck ul ul{
    background-color: #141414;
}
.main-navigation.navigation-stick .main-nav ul li a,
.main-navigation.navigation-stick a:not([aria-label*='Close'])  {
    color: #fff !important;
}

.breadcrumb-container p {
    margin-bottom: 0;
}

ul.lh-menu {
    list-style: none;
    margin: 0;
}

.lh-menu li {
    font-family: roboto;
    text-transform: uppercase;
    font-size: 0.75em;
    font-weight: 700;
}

.lh-menu li a {
    background-color: #3f3f3f;
    color: #fff;
    padding: 15px 20px;
    display: block;
    margin-bottom: 1px;
    text-decoration: none;
}

.lh-menu li a:hover {
    background: #770816;
}

.lh-menu li.current-menu-item a {
    background: #C70D25;
    /*border-left: 5px solid #f9c22e;*/
}

.main-navigation ul li:not(.mega-menu) .sub-menu li {
    border-bottom: 1px solid #141414;
}

.main-navigation ul li:not(.mega-menu) .sub-menu li:last-child {
    border-bottom: none;
}

.image-float-container ul,
.regs-column ul {
    margin-left: 20px;
}

.lh-menu.menu-with-subs li>ul {
    list-style: none;
    margin: 0;
}

.lh-menu.menu-with-subs li>ul li {
    font-size: inherit;
    text-indent: 5px;
    text-transform: none;
}

.lh-menu.menu-with-subs li>ul li a:before {
    content: "– ";
}

.lh-menu.menu-with-subs li.sr-live a,
.lh-menu.menu-with-subs li.rsl-live a,
.lh-menu.menu-with-subs li.ci-live a {
    background: #C70D25;
}

.lh-menu.menu-with-subs li.ci-live ul li a,
.lh-menu.menu-with-subs li.sr-live ul li a,
.lh-menu.menu-with-subs li.rsl-live ul li a {
    background: #141414;
}

.lh-menu.menu-with-subs li.ci-live ul li a:hover,
.lh-menu.menu-with-subs li.sr-live ul li a:hover, 
.lh-menu.menu-with-subs li.rsl-live ul li a:hover {
    background: #770816;
}

/* Gallery styling for the captions and controls */

.pgc-rev-lb-b-header.pgc-rev-lb-b-show {
    background-image: none !important;
    background-color: rgba(119, 8, 22, 0.9);
}

.pgc-rev-lb-b-view .pgc-rev-lb-b-header.pgc-rev-lb-b-show {
    /*flex-direction: column-reverse;*/
}

.pgc-rev-lb-b-view .pgc-rev-lb-b-show .pgc-rev-lb-b-info-wrap {
    font-family: 'Roboto', sans-serif;
    font-weight: 500;
    margin: 0 auto;
    max-width: 800px;
    padding: 0 20px 20px;
    text-align: center;
}

.pgc-rev-lb-b-view .pgc-rev-lb-b-info-wrap .pgc-rev-lb-b-item-title {
    line-height: 1.625 !important;
    margin-bottom: 10px;
}

/* Remove the paragraph from the image/text containers to maintain consisitent spacing */
.image-float-container p:last-of-type {
    margin-bottom: 0;
}

/* Removes that random space between the Google map and the footer container */
iframe.kga-g-map {
    margin-bottom: -8px;
}

@media only screen and (min-width: 800px) {
    
    nav .main-nav .mega-menu {
        position: static;
    }

    nav .main-nav .mega-menu > ul {
        position: absolute;
        width: 100%;
                max-width: 1280px;
        left: 0 !important;
        display: flex;
        flex-wrap: wrap;
                margin: 0 auto;
    }

    nav .main-nav .mega-menu > ul > li > a {
        font-weight: bold;
    }

    nav .main-nav .mega-menu>ul>li {
        display: inline-block;
        width: 25%;
        vertical-align: top;
    }

    nav .main-nav .mega-menu.mega-menu-col-2>ul>li {
        width: 50%;
    }

    nav .main-nav .mega-menu.mega-menu-col-3>ul>li {
        width: 33.3333%;
    }

    nav .main-nav .mega-menu.mega-menu-col-5>ul>li {
        width: 20%;
    }

    nav .main-nav .mega-menu > ul > li:hover > a,
    nav .main-nav .mega-menu > ul > li:focus > a,
    nav .main-nav .mega-menu > ul > li[class*="current-"] > a,
    nav .main-nav .mega-menu ul ul {
        background-color: transparent !important;
        color: inherit;
    }

    nav .main-nav .mega-menu ul .sub-menu {
        position: static;
        display: block;
        opacity: 1;
        visibility: visible;
        width: 100%;
        box-shadow: 0 0 0;
        left: 0;
        height: auto;
        pointer-events: auto;
        transform: scale(1);
    }

    nav .main-nav .mega-menu ul.toggled-on .sub-menu {
        pointer-events: auto;
    }

    nav .main-nav .mega-menu .sub-menu .menu-item-has-children .dropdown-menu-toggle {
        display: none;
    }
    
.main-navigation:not(.navigation-stick) .inside-navigation {
    position: unset;
}

.main-navigation:not(.navigation-stick) .inside-header.grid-container {
    position: relative;
}
    
    .kga-sidebar-menu {
        position: sticky;
        top: 150px;
    }
    
    /* Mega Menu Colours */
    
/*  .main-navigation .mega-menu-liftequip  .sub-menu,
        .main-navigation .mega-menu-services .sub-menu:not(.sub-menu .sub-menu) {
        border-right: 1px solid #141414;
        border-left: 1px solid #141414;
        border-bottom: 1px solid #141414;
    }*/
    
    .main-navigation .sub-menu a,
    .main-navigation .mega-menu-liftequip  .sub-menu a,
    .main-navigation .mega-menu-services  .sub-menu a {
        text-transform: none;
    }
    
    .main-navigation .mega-menu-liftequip  .sub-menu li a {
        border-right: 1px solid #141414;
    }
    
    .main-navigation .mega-menu.mega-menu-col-3.mega-menu-services>ul>li:nth-child(2) {
        border-left: 1px solid #141414;
        border-right: 1px solid #141414;
    }
    
        .main-navigation .mega-menu-liftequip .sub-menu li:nth-child(-n+9) a {
            border-bottom: 1px solid #141414;
        }
    
        .main-navigation .mega-menu-liftequip .sub-menu li:nth-child(3n-3) a {
            border-right: none;
        }
    
    .main-navigation .mega-menu-liftequip .sub-menu li.current-menu-item,
    .main-navigation .mega-menu-services .sub-menu li.current-menu-item {
        color: #fff;
        background: #C70D25;
    }
    
        .main-navigation .mega-menu-liftequip .sub-menu li:hover,
        .main-navigation .mega-menu-services .sub-menu li:hover {
        color: #fff;
        background: #770816;
    }
    
/* Mega Menu Sub Menu's Sub menus */
        
/*  .main-navigation .mega-menu-services .sub-main-page li a:first-of-type {
    background: red;
    }*/
    
    .main-navigation .mega-menu-services li.sub-main-page>a {
    /*text-decoration: underline;*/
    text-transform: uppercase;
    }

    .main-navigation .mega-menu-services li.sub-main-page>a:before {
        content: "• ";
    }
    
    .main-navigation .mega-menu-services .sub-menu .sub-menu li {
        border-bottom: none;
        text-indent: 5px;
    }
    
    .main-navigation .mega-menu-services .sub-menu .sub-menu li a:before {
        content: "– "
    }
    
}

@media only screen and ( max-width: 799px ) {
    .slideout-navigation.main-navigation .main-nav ul ul.sub-menu li a {
        text-transform: none;
    }
}

@media only screen and (max-width: 600px) {
    
    .image-float-container .gb-grid-wrapper {
        display: block;
    }

    .gb-block-image img.image-float {
        display: block;
        float: left;
        margin: 0 30px 0 0;
    }
    
}